6.0.0-git
2019-03-19

[#7848] Weather.com block not available
Summary Weather.com block not available
Queue Horde Base
Queue Version 3.3.2
Type Bug
State Not A Bug
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester horde (at) heskia (dot) net
Created 2009-01-14 (3716 days ago)
Due
Updated 2009-01-15 (3715 days ago)
Assigned 2009-01-14 (3716 days ago)
Resolved 2009-01-15 (3715 days ago)
Milestone
Patch No

History
2009-01-15 14:28:51 horde (at) heskia (dot) net Comment #5 Reply to this comment
You're absolutely right !

Sorry for my mistake and many thanks for your support !



Best regards,

Antoine.
2009-01-15 14:19:29 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
State ⇒ Not A Bug
Reply to this comment
On the other hand, I've heard that it is safer to use curl, my PHP

setup is build with curl do you think that this weather block can use

it ?



Well, I'm sure it's *possible* that you could use curl, but the code 
would need to be rewritten - and I'm not sure if it's Services_Weather 
or our block code that requires it.
2009-01-15 13:02:44 horde (at) heskia (dot) net Comment #3 Reply to this comment
in addition, allow_url_fopen must be enabled in php.ini and your
partner id must be present in the horde configuration.
You got it ! That was the missing parameter. I had updated PHP and 
this parameter is now set to Off by default (as it can be a potential 
security issue). I will turn it to on...

On the other hand, I've heard that it is safer to use curl, my PHP 
setup is build with curl do you think that this weather block can use 
it ?
2009-01-14 17:40:58 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Looking at the code for that block, that message would be displayed if 
any of the following are missing or  otherwise not found:



Services_Weather, Cache, XML_Serializer



in addition, allow_url_fopen must be enabled in php.ini and your 
partner id must be present in the horde configuration.



Please double check these items and post back your results.
2009-01-14 17:33:58 horde (at) heskia (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Weather.com block not available
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,



The Weather.com block was working fine on my Horde Portal until a 
couple of months.

Now Horde portal says: "The weather.com block is not available."



I have the latest version of pear modules (Services_Weather v1.4.3) 
with all php extension needed (ctype and pcre)

http://pear.php.net/package/Services_Weather/download/



As far as I understood this version of Services_Weather has been fixed 
to fetch correctly the xml feed from weather.com:

Changelog:

- Weatherdotcom.php

o Changed available forecast days to 5 as per change in the xoap 
offering (boigelot)

o Fixed Bug #13845: Weather.com service requires link request in all 
xoap requests (mscannel)



And I'm able to fetch it as well with my partnerid and Key:

http://xoap.weather.com/weather/local/48164?link=xoap&prod=xoap&par=[removed]&key=[removed]



Is it possible to fix this block ?

Saved Queries